Bug 120999 - Epiphany locks up on pop-up notification window
Summary: Epiphany locks up on pop-up notification window
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-15 23:46 UTC by Chris Duchesne
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-30 19:39:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Duchesne 2004-04-15 23:46:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
When browsing web sites in epiphany, when a pop-up notification window
(one that simply receives a Yes/No/Okay answer), epiphany locks up,
occasionally consuming 100% cpu until the notification window/box is
closed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Disconnect self from network.
2.In Epiphany, try to access a common web site.
3.On failure, a notification box appears.
4.You shouldn't be able to use any epiphany windows until box is closed.
    

Additional info:

The simple step to reproduce may not cause 100% CPU usage, but the
ones that usally do are actual timeouts that the computer does expect.
I commonly see my cpu meter sit at 100% when I get logged off the bank
of america web site (after being inactive, BOA's web site brings up a
notification window that halts epiphany/consumes CPU)

Comment 1 Chris Duchesne 2004-04-30 19:39:34 UTC
Appears this bug is not related to epiphany, and is instead a problem
with glib. This bug has been fixed in glib 2.4.1 which was released
today, 04/30/04.


Note You need to log in before you can comment on or make changes to this bug.